<?php
/**
 * @filename GrammarInterface.php
 * @author Jerry Yan <792602257@qq.com>
 * @date 2020/12/17 14:11
 */


namespace JerryYan\DSL\Grammar;


interface GrammarInterface
{
    /**
     * @return array<string, class-string>
     * @author Jerry Yan <792602257@qq.com>
     * @date 2021/1/26 16:27
     */
    public function getTokenTypes(): array;

    /**
     * @return class-string
     * @author Jerry Yan <792602257@qq.com>
     * @date 2021/1/26 16:27
     */
    public function getUndefinedTokenType(): string;
}
