<?php
/**
 * @filename CnTextOutput.php
 * @author Jerry Yan <792602257@qq.com>
 * @date 2020/12/17 15:33
 */


namespace JerryYan\DSL\Output;


/**
 * 又以中文形式重新输出一遍
 * @package JerryYan\DSL\Output
 * @author Jerry Yan <792602257@qq.com>
 * @date 2020/12/17 16:12
 */
class RawOutput extends OutputInterface
{
    public function output(): string
    {
        $output = [];
        $token = $this->tokenChain;
        do {
            array_push($output, $token->getRawString());
        } while ($token = $token->getNextToken());
        return implode(' ', $output);
    }
}