<?php
/**
 * @filename LexerInterface.php
 * @author Jerry Yan <792602257@qq.com>
 * @date 2021/3/17 11:55
 */


namespace JerryYan\DSL\Lexer;


interface LexerInterface
{
    /**
     * @return array<string, class-string>
     * @author Jerry Yan <792602257@qq.com>
     * @date 2021/1/26 16:27
     */
    public function getTokenTypes(): array;

    /**
     * @return class-string
     * @author Jerry Yan <792602257@qq.com>
     * @date 2021/1/26 16:27
     */
    public function getUndefinedTokenType(): string;
}
