<?php
/**
 * @filename OutputInterface.php
 * @author Jerry Yan <792602257@qq.com>
 * @date 2020/12/17 15:08
 */


namespace JerryYan\DSL\Output;


use JerryYan\DSL\Token\TokenInterface;

abstract class OutputInterface
{
    protected $tokenChain;
    public function __construct(TokenInterface $tokenChain)
    {
        $this->tokenChain = $tokenChain->getFirstToken();
    }

    abstract public function output();
}