<?php
/**
 * @filename Token.php
 * @author Jerry Yan <792602257@qq.com>
 * @date 2020/12/17 14:51
 */


namespace JerryYan\DSL\Token;


/**
 * Token实体分类Enum
 * @package JerryYan\DSL\Token
 * @author Jerry Yan <792602257@qq.com>
 * @date 2020/12/17 15:11
 */
final class Token
{
    // 逻辑相关
    const LOGIC_OR = "LOGIC_OR";
    const LOGIC_AND = "LOGIC_AND";
    const LOGIC_NOT = "LOGIC_NOT";
    const LOGIC_EQUAL = "LOGIC_EQUAL";
    const LOGIC_EQUAL_STRONG = "LOGIC_EQUAL_STRONG";
    const LOGIC_NOT_EQUAL = "LOGIC_NOT_EQUAL";
    const LOGIC_NOT_EQUAL_STRONG = "LOGIC_NOT_EQUAL_STRONG";
    const LOGIC_GREATER = "LOGIC_GREATER";
    const LOGIC_GREATER_EQUAL = "LOGIC_GREATER_EQUAL";
    const LOGIC_LESS = "LOGIC_LESS";
    const LOGIC_LESS_EQUAL = "LOGIC_LESS_EQUAL";
    // 变量相关
    const DEFINE = "DEFINE";
    const USE_VARIABLE = "USE_VARIABLE";
    const VARIABLE = "VARIABLE";
    const ASSIGN = "ASSIGN";
    const CALL = "CALL";
    const NUMBER = "NUMBER";
    // 语义相关
    const FAKE = "FAKE";
    const CURRY = "CURRY";
    const LOGIC_FAKE = "LOGIC_FAKE";
    // 括号
    const BRACKET_LEFT = "BRACKET_LEFT";
    const BRACKET_RIGHT = "BRACKET_RIGHT";
    const SQUARE_BRACKET_LEFT = "SQUARE_BRACKET_LEFT";
    const SQUARE_BRACKET_RIGHT = "SQUARE_BRACKET_RIGHT";
    // 运算符相关
    const OP_CONCAT = "OP_CONCAT";
    const OP_CONCAT_EQUAL = "OP_CONCAT_EQUAL";
    const OP_PLUS = "OP_PLUS";
    const OP_PLUS_EQUAL = "OP_PLUS_EQUAL";
    const OP_MINUS = "OP_MINUS";
    const OP_MINUS_EQUAL = "OP_MINUS_EQUAL";
    const OP_MULTIPLY = "OP_MULTIPLY";
    const OP_MULTIPLY_EQUAL = "OP_MULTIPLY_EQUAL";
    const OP_DIVIDE = "OP_DIVIDE";
    const OP_DIVIDE_EQUAL = "OP_DIVIDE_EQUAL";
    const OP_MOD = "OP_MOD";
    const OP_MOD_EQUAL = "OP_MOD_EQUAL";
    const OP_POW = "OP_POW";
    const OP_POW_EQUAL = "OP_POW_EQUAL";
    // 逻辑运算相关
    const OP_OR = "OP_OR";
    const OP_AND = "OP_AND";
    const OP_XOR = "OP_XOR";
    const OP_NOR = "OP_NOR";
}